for _ in range(int(input())):
    n = int(input())
    s = list(map(int, input().split()))
    s.sort()
    a = [s[0], s[1]]
    b = []
    for i in range(2, n):
        if 2 * a[-1] - a[-2] <= s[i]:
            a.append(s[i])
        else:
            b.append((s[i]))
    c = b[::-1] + a
    f = False
    for i in range(1, n - 1):
        if c[i - 1] + c[i + 1] < 2 *  c[i]:
            f = True
            break
    if f:
        print('NO')
    else:
        print('YES')
